Subject: Re: [PATCH 18/18] flag parameters: check magic constants

From: Ulrich Drepper <[email-masked]>
Date: Mon, 12 May 2008 21:21:29 -0700

David Miller wrote:
> You'll need to handle MIPS and PARISC as well, as they have
> similar conflicts.

Is MIPS really a problem?  The value is 0x80.  128 protocol types should
be enough.  Even if not, there is no reason why the numbers should be
consecutive.  It's easy enough to skip over a bit.  I.e., after procotol
0x7f the next one would be 0x100.

And PA seems to have gotten O_NONBLOCK wrong.  SPARC does it right AFAICS.

- --
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖